using HermesSocketServer.Store;

namespace HermesSocketServer.Models
{
    public class Channel
    {
        public required string Id { get; set; }
        public required User User { get; set; }
        public required ChatterStore Chatters { get; set; }
        public required ConnectionStore Connections { get; set; }
        public required GroupStore Groups { get; set; }
        public required GroupPermissionStore GroupPermissions { get; set; }
        public required PolicyStore Policies { get; set; }
        public required TTSFilterStore Filters { get; set; }
        public required ActionStore Actions { get; set; }
        public required RedemptionStore Redemptions { get; set; }
        public required VoiceStateStore VoiceStates { get; set; }
    }
}